<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('admin_api_flow_runs', function (Blueprint $table) {
            $table->json('api_logs')->nullable()->after('error_message')->comment('API Request/Response 로그');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('admin_api_flow_runs', function (Blueprint $table) {
            $table->dropColumn('api_logs');
        });
    }
};
